<!DOCTYPE html>
<html>
	<head>
		<!-- Bootstrap responsive meta tags -->
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<title>Bootstrap Introduction ans Simple Styles</title>

		<!--  Bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
	</head>
	<body class="text-center text-secondary">

		<!-- Navbar -->
		<div class="bg-primary text-light fixed-top">
			Fixed-Top Navbar
		</div>
		<!-- End of Navbar -->

		<!-- Bootstrap Utility Classes -->
		<div class="container-fluid mt-5 mb-5">	
			<!-- header -->
			<h1>Bootstrap Introduction and Simple Styles</h1>
			<!-- end of header -->	

			<div class="w-25 d-none d-md-inline-block mt-4"> 
				<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
			</div>

			<!-- Bootstrap Color Classes -->		
			<h2>Bootstrap Color Classes</h2>

			<table class="table table-dark table-bordered">
				<thead>
					<tr>
						<th>Text</th>
						<th>Background</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<a href="#" class="text-primary">Primary Link</a>
						</td>
						<td class="bg-primary text-white">Primary</td>
					</tr>
					<tr>
						<td>
				            <a href="#" class="text-secondary">
				                Secondary link
				            </a>
				        </td>
				        <td class="bg-secondary text-whiteSecondary"></td>
				    </tr>
				        <tr>
				            <td>
				                <a href="#" class="text-success">
				                    Success link
				                </a>
				            </td>
				            <td class="bg-success text-white">Success</td>
				        </tr>
				        <tr>
				            <td>
				                <a href="#" class="text-danger">
				                    Danger link
				                </a>
				            </td>
				            <td class="bg-danger text-white">Danger</td>
				        </tr>
				        <tr>
				            <td>
				                <a href="#" class="text-warning">
				                    Warning link
				                </a>
				            </td>
				            <td class="bg-warning text-white">Warning</td>
				        </tr>
				        <tr>
				            <td>
				                <a href="#" class="text-info">
				                    Info link
				                </a>
				            </td>
				            <td class="bg-info text-white">Info</td>
				        </tr>
				        <tr>
				            <td>
				                <a href="#" class="text-light">
				                    Light link
				                </a>
				            </td>
				            <td class="bg-light text-white">Light</td>
				        </tr>
				        <tr>
				            <td>
				                <a href="#" class="text-dark">
				                    Dark link
				                </a>
				            </td>
				            <td class="bg-dark text-white">Dark</td>
				        </tr>
				        <tr>
				            <td>
				                <a href="#" class="text-muted">
				                    Muted link
				                </a>
				            </td>
				            <td class="bg-transparent text-white">Transparent</td>
				        </tr>
				        <tr>
				            <td>
				                <a href="#" class="text-white">
				                    White link
				                </a>
				            </td>
				            <td class="bg-white text-white">White</td>
				        </tr>
					</tr>
				</tbody>
			</table>
			<!-- End of Bootstrap Color Classes -->

			<!-- Bootstrap Text Classes -->
			<h2>Bootstrap Text Classes</h2>

			<table class="table table-dark table-bordered">
				<thead>
					<tr>
						<th>Alignment</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="text-left">Left</td>
					</tr>
					<tr>
						<td class="text-center">Center</td>
					</tr>
					<tr>
						<td class="text-right">Right</td>
					</tr>

					<!-- 
						In HTML, breakpoints are the screen sizes. When we use breakpoints with alignments,
						it will set the alignment to that specific screen size up until the biggest screen size OR the next breakpoint
					 -->
					<tr>
						<!-- sm (small scree) - >= 576px -->
						<!-- Larger Mobile phones (in DvTools, all Mobile screensizes are considered sm) -->
						<td class="text-sm-center">Small Center</td>
					</tr>
					<tr>
						<!-- text-right can also be written as text-xs-right -->
						<!-- md (medium screen size) greater than or equal to 786px-->
						<!-- Tablets -->
						<td class="text-sm-right text-md-left">Medium Left</td>
					</tr>
					<tr>
						<!-- lg (large screen) >= 992px -->
						<!-- Desktop or Laptop -->
						<td class="text-lg-right">Large Right</td>
					</tr>
					<tr>
						<!-- xl (extra large) - >= 1200px -->
						<!-- TV and other big screens -->
						<td class="text-xl-center">Extra Large Center</td>
					</tr>
				</tbody>
				
			</table>
			<!-- End of Bootstrap Text Classes -->

			<!-- Bootstrap Other Text Classes -->
			<h2>Bootstrap Other Text Classes</h2>

			<table class="table table-dark table-bordered">
				<thead>
					<tr>
						<th>Text Transform</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="text-lowercase font-weight-bold"> LOWERCASE BOLD TEXT</td>
					</tr>
					
					<tr>
						<td class="text-uppercase font-weight-normal"> uppercase normal text</td>
					</tr>

					<tr>
						<td class="text-capitalize font-weight-light"> capitalized light text</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-decoration-none font-italic">Non-underlined Italic Link</a>
						</td>
					</tr>
					
				</tbody>
			</table>
			<!-- End of Bootstrap Other Text Classes -->

			<!-- Bootstrap Border and Sizing Classes -->

			<table class="table table-dark text-light table-bordered">
				<thead>
					<tr>
						<th>Border</th>
					</tr>
				</thead>
				<tbody>
					 <tr>
						<td>
							<div class="bg-info border border-primary rounded w-100">
							    Rounded
							</div>
						</td>
					 </tr>		        
					<tr>
						<td>
							<div class="bg-secondary border border-white rounded-circle w-25">
							            Rounded Circle
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<div class="bg-warning border border-danger rounded-pill w-50">
							            Rounded Pill
							</div>
						</td>
					</tr>
				</tbody>						    							
			</table>

			<!-- End of Bootstrap Border and Sizing Classes -->
		</div>
		<!-- End of Bootstrap Utility classes -->

		<!-- Footer -->
		<div class="bg-primary text-light fixed-bottom p-1">
			Fixed-Bottom Footer
		</div>
		<!-- End of Footer -->

		<!-- Bootstrap JS -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

	</body>
</html>